;________________________________________________________________________
;
;                           O P T I O N S . A S M
;________________________________________________________________________
;
; Reading Options from a table
; by Byon Garrabrant  N6BG  byon@mail.com  Feb 99
;________________________________________________________________________
;
;   This software is  available only for non-commercial  amateur radio 
;   or educational  applications.   ALL  other  uses  are  prohibited.  
;   This  software may  be  modified  only  if the  resulting code  be 
;   made available  publicly  and the  original  author given  credit.  
;   Contact the author or TAPR for information on commercial licenses. 
;   (c) Copyright 1999,  Byon Garrabrant,  N6BG.  All rights reserved. 
;________________________________________________________________________

#define	OPT_AUTO_TX_DELAY	D'0'
#define	OPT_MANUAL_TX_DELAY	D'1'
#define	OPT_MESSAGE		D'2'
#define	OPT_SYMBOL		D'3'
#define	OPT_SYMBOL_TABLE	D'4'
#define	OPT_PATH		D'5'
#define	OPT_AUTO_TIME		D'6'
#define	OPT_MANUAL_TIME		D'7'
#define	OPT_QUIET_TIME		D'8'
#define	OPT_BEACON_RATE		D'9'
#define	OPT_BEACON_OFFSET	D'10'
#define	OPT_CALLSIGN_DIGI	D'11'

;#define	OPT_SPEED_ADJUST	0
;#define	OPT_PTT_SENSE		0

#define	CONFIG_SELECT		PORTA, 4
;________________________________________________________________________

	ORG	H'300'			

Get_Option
	bsf	PCLATH,0
	bsf	PCLATH,1

	btfss	CONFIG_SELECT
	 addlw	D'120'

	call	_Get_Option
	bcf	PCLATH,0
	bcf	PCLATH,1
	return
;________________________________________________________________________

_Get_Option
	addwf	PCL, F

Option1_Start
	dt	D'40'		; number of flags to send auto
	dt	D'5'		; number of flags to send manual
	dt	D'0'		; mic-e message
	dt	'>'		; aprs symbol
	dt	H'2F'		; aprs symbol table
	dt	H'0'		; mic-e path
	dt	D'2'		; auto time in 10 sec (2 = 20 sec)
	dt	D'1'		; manual time in 10 sec (1 = 10 sec)
	dt	D'4'		; quiet time in seconds
	dt	D'3'		; beacon rate	(beacon every third)
	dt	Beacon1_Start - Option1_Start  ; beacon offset

	dt	"N6BG  ", D'0' + H'30'	; callsign and digis
	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
	dt	0
Beacon1_Start
	dt	" PIC-E testing byon@iname.com"	; beacon
	dt	0
;________________________________________________________________________

	ORG	Option1_Start + D'120'

Option2_Start
	dt	D'40'		; number of flags to send auto
	dt	D'5'		; number of flags to send manual
	dt	D'0'		; mic-e message
	dt	'>'		; aprs symbol
	dt	H'2F'		; aprs symbol table
	dt	H'0'		; mic-e path
	dt	D'6'		; auto time in 10 sec (2 = 20 sec)
	dt	D'4'		; manual time in 10 sec (1 = 10 sec)
	dt	D'4'		; quiet time in seconds
	dt	D'3'		; beacon rate	(beacon every third)
	dt	Beacon2_Start - Option2_Start  ; beacon offset

	dt	"N6BG  ", D'0' + H'30'	; callsign and digis
	dt	"WIDE  ", D'0' + H'30'	; callsign and digis
	dt	0
Beacon2_Start
	dt	" PIC-E testing"	; beacon
	dt	0
;________________________________________________________________________











					